#ifndef Menü_H
#define Menü_H

#include <Knopf.h>
#include <Tabelle.h>
#include <Diagramm.h>
#include <AuswahlBox.h>
#include <KSGNetwork.h>
#include <Rahmen.h>

using namespace Framework;

class Menü
{
private:
	Knopf *spielen;
	Knopf *optionen;
	Knopf *statistik;
	Knopf *beenden;
	Bild *hintergrund;
	LRahmen *ram;
	bool beendet;
	int status;
	int ref;

public:
	// Konstruktor
	Menü( Schrift *zSchrift, Bildschirm *zScreen, KSGClient::MinigameServerClient *klient );
	// Destruktor
	~Menü();
	// nicht constant#
	void reset();
	void doMausEreignis( MausEreignis &me );
	void doTastaturEreignis( TastaturEreignis &te );
	bool tick( double z );
	void render( Bild &zRObj );
	// constant
	bool istBeendet() const;
	// Reference Counting
	Menü *getThis();
	Menü *release();
};

#endif